Debian Bug report logs - #720172
dgit should have its own vhost, not alioth

version graph

Package: dgit; Maintainer for dgit is Ian Jackson <ijackson@chiark.greenend.org.uk>; Source for dgit is src:dgit.

Reported by: Ian Jackson <ijackson@chiark.greenend.org.uk>

Date: Mon, 19 Aug 2013 12:12:12 UTC

Severity: important

Found in versions dgit/0.4~pre2, 3.0

Fixed in version dgit/0.4~pre1

Fix blocked by 720590: dgit would like various information (also available anonymously)

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org:
Bug#720172; Package dgit. (Mon, 19 Aug 2013 12:12:16 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ian Jackson <ijackson@chiark.greenend.org.uk>:
New Bug report received and forwarded. (Mon, 19 Aug 2013 12:12:16 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Ian Jackson <ijackson@chiark.greenend.org.uk>
To: submit@bugs.debian.org
Subject: dgit should have its own vhost, not alioth
Date: Mon, 19 Aug 2013 13:09:17 +0100
Package: dgit
Version: 3.0
Severity: serious

From the manpage:

       We  should  be  using some kind of vhost/vpath setup for the git
       repos on alioth, so that they can be moved  later  if  and  when
       this turns out to be a good idea.

I think this is an RC bug.  We do not want wide deployment, by people
unlikely to do updates in a timely way, of a tool which accesses a
location which may have to be withdrawn.

Ian.



Marked as found in versions 0.4~pre2. Request was from Ian Jackson <ijackson@chiark.greenend.org.uk> to control@bugs.debian.org. (Thu, 22 Aug 2013 14:39:04 GMT) Full text and rfc822 format available.

Reply sent to Ian Jackson <ijackson@chiark.greenend.org.uk>:
You have taken responsibility. (Thu, 22 Aug 2013 15:21:21 GMT) Full text and rfc822 format available.

Notification sent to Ian Jackson <ijackson@chiark.greenend.org.uk>:
Bug acknowledged by developer. (Thu, 22 Aug 2013 15:21:21 GMT) Full text and rfc822 format available.

Message #12 received at 720172-close@bugs.debian.org (full text, mbox):

From: Ian Jackson <ijackson@chiark.greenend.org.uk>
To: 720172-close@bugs.debian.org
Subject: Bug#720172: fixed in dgit 0.4~pre1
Date: Thu, 22 Aug 2013 15:18:26 +0000
Source: dgit
Source-Version: 0.4~pre1

We believe that the bug you reported is fixed in the latest version of
dgit, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 720172@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Ian Jackson <ijackson@chiark.greenend.org.uk> (supplier of updated dgit package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Thu, 22 Aug 2013 13:36:44 +0100
Source: dgit
Binary: dgit
Architecture: all source
Version: 0.4~pre1
Distribution: experimental
Urgency: low
Maintainer: Ian Jackson <ijackson@chiark.greenend.org.uk>
Changed-By: Ian Jackson <ijackson@chiark.greenend.org.uk>
Closes: 720085 720172
Description: 
 dgit       - git interoperability with the Debian archive
Changes: 
 dgit (0.4~pre1) experimental; urgency=low
 .
   * Use dgit.debian.net vhost on alioth.  Closes:#720172.
   * Usage message.  Closes:#720085.
   * Provide "dgit sbuild".
   * Assorted manpage fixes and improvements.
   * Fail if a required config item is missing.
   * Much better error messages.
   * Better error checking when parsing RFC822-style control data.
   * Better checking that the supplied .dsc and debian/changes correspond.
   * Ordering improvement in push: don't add dsc field until git push done.
   * New --distro option (helps with unknown suites).
   * Bugfixes.
Checksums-Sha1: 
 af5e408e24ee032c689e3a13f6cf32b2bffae2ff 17346 dgit_0.4~pre1_all.deb
 7aacc8f01412f6b0469e1921c2ab1534a168d5dc 1056 dgit_0.4~pre1.dsc
 8bfcbdf77342d6cb61417b69232f7a5384c75ffc 17705 dgit_0.4~pre1.tar.gz
Checksums-Sha256: 
 e5c23d62cbef1909f50f5f0c49f020d22b3c40d448da4ebf6e7a495afd092f4a 17346 dgit_0.4~pre1_all.deb
 e4f9ba341fdf38517e7781d802132a713882aeb0e27d8d56091cea04fa1d37e8 1056 dgit_0.4~pre1.dsc
 c7a4478ee51aa8d5f2504c2154a990ab5e485c2fec207e1ee6843f0f84c30dd9 17705 dgit_0.4~pre1.tar.gz
Files: 
 a7c87a3d48062ff3255245ee3a5b7621 17346 devel optional dgit_0.4~pre1_all.deb
 409edf814f19322835fee9be8772cfc1 1056 devel optional dgit_0.4~pre1.dsc
 00e61009041e05320b4bac4c3fdb8604 17705 devel optional dgit_0.4~pre1.tar.gz

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQEcBAEBCAAGBQJSFhz4AAoJEOPjOSNItQ05FQgH/jRbxDmydpHSlV3ag+6p1Pew
DbwwUxFWqklu3Ttolku/hCO2IX/PBCInZlf612Vv1yABVAjK8fnl+YXBPbwy1/dX
OLveEU/APassY0croW257z0PcRJ+OlvKPN1uih07HQYoU/r7dZnC6uC2m6PJhcjT
EH3+4EdebWpPSoSfux93I2HeYCPikQ8luV/TGDQ/VwQ7V3JwuVTEyFXtLNIvqX8X
a2RUnUipqbhFEdMv508e8tgh4i9bUutmzqtFVrkpMjdCgxGbkRlyNXOgldB7P6Se
eE0zJfsFinb72eBwHDMBgMvCN/V4aUnCQLgDEpLri+QZBWmk6wiioySF+x22TFQ=
=JJje
-----END PGP SIGNATURE-----




Marked as found in versions dgit/0.4~pre2; no longer marked as found in versions 0.4~pre2 and reopened. Request was from Ian Jackson <ijackson@chiark.greenend.org.uk> to control@bugs.debian.org. (Thu, 22 Aug 2013 15:57:04 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 720172: 720590 Request was from Ian Jackson <ijackson@chiark.greenend.org.uk> to control@bugs.debian.org. (Fri, 23 Aug 2013 16:21:14 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#720172; Package dgit. (Tue, 17 Sep 2013 10:55:14 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ian Jackson <ijackson@chiark.greenend.org.uk>:
Extra info received and forwarded to list. (Tue, 17 Sep 2013 10:55:14 GMT) Full text and rfc822 format available.

Message #21 received at 720172@bugs.debian.org (full text, mbox):

From: Ian Jackson <ijackson@chiark.greenend.org.uk>
To: 720172@bugs.debian.org
Subject: dgit alioth vhost changes are blocked
Date: Tue, 17 Sep 2013 11:50:05 +0100
severity 720172 important
thanks

I have started the conversation with the alioth admins about this and
volunteered to do the work needed to fix this, but things have
stalled.  Evidently the alioth admins do not consider this a
sufficiently important problem.

Since this bug is about mitigating the impact of dgit on alioth (and
future changes to alioth), I am following the alioth admins' lead and
recategorising this bug as non-RC.

Ian.



Severity set to 'important' from 'serious' Request was from Ian Jackson <ijackson@chiark.greenend.org.uk> to control@bugs.debian.org. (Tue, 17 Sep 2013 10:55:20 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 01:05:14 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.